package com.bzd.system.service.kc.kn;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 转库区管理表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcKnTransferzonedocumentService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcKnTransferzonedocument(PageData pd)throws Exception {
        return daoSupport.update("SKcKnTransferzonedocumentMapper.addSKcKnTransferzonedocument", pd);
    }

    public List<PageData> findSKcKnTransferzonedocumentList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcKnTransferzonedocumentMapper.selectSKcKnTransferzonedocumentList", pd);
    }

    public Integer SKcKnTransferzonedocumentRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcKnTransferzonedocumentMapper.SKcKnTransferzonedocumentRemove", pd);
    }


    public Integer updateSKcKnTransferzonedocument(PageData pd)throws Exception {
        return daoSupport.update("SKcKnTransferzonedocumentMapper.updateSKcKnTransferzonedocument", pd);
    }

}
